%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

%define core_version 4.0.0
%define merlin_version 2.1.0
%define widget_services 1.0.2
%define livestatus_version 1.2.1
%define monitor_major %(echo %{version}|cut -d"." -f 1)
%define monitor_minor %(echo %{version}|cut -d"." -f 2)

Summary: op5 Monitor release and package configuration.
Name: op5-monitor-release
Version: 7.0.1
Release: op5.1
Group: op5/monitor
License: op5 Software License
Prefix: /etc/yum.repos.d
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

Requires: op5-monitor = %version
Requires: op5-release

%description
Metapackage for op5 Monitor product that installs the repository configuration
for online updates

%package -n op5-monitor
Summary: contains packages included in a particular release of op5 Monitor
Group: op5/Monitor
Requires: op5-nagios >= %core_version
Requires: op5-nagios-gui-core >= %core_version
Requires: merlin >= %merlin_version
Requires: monitor-merlin >= %merlin_version
Requires: merlin-apps >= %merlin_version
Requires: monitor-ninja >= 3.0.0
Requires: monitor-backup >= 3.2.12
Requires: monitor-config >= 4.0.0
Requires: monitor-gui >= 3.5.9
Requires: monitor-http-api >= 1.1.0
Requires: monitor-notify >= 4.0.0
Requires: monitor-op5auth >= 1.1.10
Requires: monitor-pnp >= 0.6.7.9
Requires: monitor-widget-merlin-node-status >= 0.0.7
Requires: monitor-widget-services-critical-unacknowledged >= %widget_services
Requires: monitor-widget-services >= %widget_services
Requires: monitor-widget-services-critical-acknowledged >= %widget_services
Requires: monitor-widget-hostperf >= 1.1.0
Requires: monitor-widget-synergy >= 1.2.0
Requires: monitor-wizard
Requires: op5-synergy-processor >= 1.1.0
Requires: op5-synergy-luapack >= 1.0.2
Requires: php-op5lib >= 1.0.0
Requires: smsacknowledge >= 2.0.0
Requires: smspassivecheck >= 1.2.1
Requires: smsreceiver >= 1.2.1
Requires: monitor-nacoma >= 4.3.4
Requires: op5-dokuwiki >= 20121013.1
Requires: monitor-nagvis >= 1.5.9.9.2
Requires: monitor-op5reports >= 1.2.3
Requires: monitor-livestatus >= %livestatus_version
Requires: unixcat >= %livestatus_version
Requires: monitor-geomap >= 2.2.2
Requires: monitor-management-packs
Requires: op5-trapper >= 6.3
Requires: op5-logserver >= 4.0

Requires: plugins-metadata >= 2.8.4
Requires: plugins-community >= 2.8.2
Requires: plugins-nagios >= 2.6.1
Requires: plugins-op5 >= 3.0.0
Requires: op5common >= 1.1.10
Requires: op5-nrpe-client >= 2.13.0
Requires: op5license
Requires: portal
Requires: op5config
Requires: op5-nrpe
Requires: nsca
Requires: sendnsca
Requires: op5backup
Requires: op5-self-monitoring
Requires: op5kad >= 0.0.3
# This is actually a plugin, it just isn't named or located like one
Requires: webinject >= 1.41

%if 0%{?suse_version}
BuildRequires: libzypp
%else
# Fix for Monitor 5.8 on CentOS/RHEL 5 (Merlin has these deps but the tarball creation script does not handle recursive deps)
%if ( 0%{?rhel} <= 5)
Requires: python26
Requires: python26-mysqldb
%else
Requires: MySQL-python
%endif
Requires: php-cli
%if 0%{?rhel:%{rhel}} < 6
Requires: php-json >= 1.2.1
%endif
%endif
Obsoletes: monitor-manual < %version

%description -n op5-monitor
This meta package depends on all the packages required by op5 Monitor. It exists to allow for offline installations of the product.

%package test
Summary: empty dummy package that depends on op5-mysql and needed packages
Group: op5/Monitor
Requires: op5-mysql
Requires: op5-httpd
Requires: op5backup

%description test
This is an empty package that satisfies the dependencies of op5-monitor-release
tests to verify

%prep
%setup -q

%install
rm -rf %buildroot

install -d %buildroot%_docdir/op5-monitor-release-test-%{version}
install README.op5-monitor-release-test %buildroot%_docdir/op5-monitor-release-test-%{version}/README

install -d %buildroot%_docdir/op5-monitor-release-%{version}
install README.op5-monitor-release-test %buildroot%_docdir/op5-monitor-release-%{version}/README

mkdir -p %buildroot/%_sysconfdir/op5-backup/modules/external
install -m 644 backup/op5-monitor %buildroot%_sysconfdir/op5-backup/modules/external/op5-monitor
install -m 644 backup/op5-monitor.charch %buildroot%_sysconfdir/op5-backup/modules/external/op5-monitor.charch

install -m 644 op5-monitor-release %buildroot%_sysconfdir/op5-monitor-release
if [ %release == "op5.1" ]; then
  echo "VERSION=%version" > %buildroot%_sysconfdir/op5-monitor-release
else
  echo "VERSION=%version-%release" > %buildroot%_sysconfdir/op5-monitor-release
fi

%post -n op5-monitor-release
# this file collides with our backup module, so delete it if it exists
if [ -f /etc/op5-backup/modules/legacy/nagios-state ]; then
	rm /etc/op5-backup/modules/legacy/nagios-state
fi

%files
%defattr(-, root, %daemon_group)
%doc %_docdir/op5-monitor-release-%{version}/README

%files -n op5-monitor
%defattr(-, root, %daemon_group)
%_sysconfdir/op5-monitor-release
%_sysconfdir/op5-backup/modules/external/*

%files test
%defattr(-, root, root)
%doc %_docdir/op5-monitor-release-test-%{version}/README

%clean
rm -rf %buildroot

%changelog
* Wed Oct 1 2008 Andreas Ericsson <ae@op5.se>
- Split release and repo-config into separate packages.

* Tue Sep 11 2007 Peter Ostlin <peter@op5.se>
- Initial creation
